#!/bin/bash
#SBATCH -t 6:00:00
#SBATCH --nodes 2 --ntasks-per-node=20
#SBATCH --mem=250G
#SBATCH --export=NONE
#SBATCH --mail-user=kramsey@uri.edu
#SBATCH --mail-type=BEGIN,END,FAIL

cd /data/kramseylab/sam/2106_RNA-Seq_sam/

for f in *.sam;
do
    PREFIX1="${f%.sam}"


    cp $PREFIX1.sam $PREFIX1\_backup.sam
    awk -F"\t" '{OFS=FS} $3 = "NC_007880"' $PREFIX1.sam > $PREFIX1.sam
    

done


